## Class TDataGridItemEventParameter

Description

TDataGridItemEventParameter class

TDataGridItemEventParameter encapsulates the parameter data for TDataGrid::onItemCreated event of TDataGrid controls. The Item property indicates the datagrid item related with the event.

- since: 3.0
- version: $Id: TDataGrid.php 2211 2007-09-07 13:34:10Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TDataGrid.php (line 1634)

    TComponent
       |
       --TEventParameter
          |
          --TDataGridItemEventParameter

Method Summary
TDataGridItemEventParameter __construct (TDataGridItem $item)
TDataGridItem getItem ()
Methods
Constructor __construct (line 1646)

Constructor.

- access: public

TDataGridItemEventParameter __construct (TDataGridItem $item)

- TDataGridItem $item: datagrid item related with the corresponding event

getItem (line 1654)

- return: datagrid item related with the corresponding event
- access: public

TDataGridItem getItem ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:28 -0400 by phpDocumentor 1.3.0RC4